Print check payment
Relevant webhooks
For this endpoint be sure you have registered for these webhooks:
- Check.PrintedPayment.Failed
API reference
Sends a request to print and deliver a physical check.
Endpoint: /checks/v1/printed-payments
POST
https://sandbox.crbcos.com/checks/v1/printed-payments
Body Parameters
- accountNumberstringrequiredDescription
- amountintegerrequiredDescription
- payeeNamestringrequiredDescription
- payeeAddressstringrequiredDescription
- payeeAddress2stringDescription
- payeeCitystringrequiredDescription
- payeeStatestringrequiredDescription
- payeeCountrystringrequiredDescription
- payeeZipstringrequiredDescription
- memostringrequiredDescription
- stubTextstringDescription
- postageCodestringDescription
- clientIdentifierstringDescription
- base64InsertDatastringDescription
Response
- idstringDescription
- fundingAccountNumberstringDescription
- statusstringDescription
- reserveAccountNumberstringDescription
- AmountintegerDescription
- checkNumberintegerDescription
- payeeNamestringDescription
- payeeAddressstringDescription
- payeeAddress2stringDescription
- payeeCitystringDescription
- payeeStatestringDescription
- payeeCountrystringDescription
- payeeZipstringDescription
- lastModifiedAtstringDescription
- memostringDescription
- stubTextstringDescription
- postageCodestringDescription
- insertUrlstringDescription
- clientIdentifierstringDescription
- partnerIdstringDescription
- trackingNumberstringDescription
curl
curl --location 'https://sandbox.crbcos.com/checks/v1/printed-payments' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"accountNumber": "2136870751",
"amount": 5000,
"payeeName": "Frank Wright",
"payeeAddress": "123 Main Street",
"payeeCity": "New York",
"payeeState": "NY",
"payeeCountry": "US",
"payeeZip": "10001",
"memo": "Test check print",
"postageCode": "UspsFirstClass"
}'nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'POST',
'hostname': 'sandbox.crbcos.com',
'path': '/checks/v1/printed-payments',
'headers': {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
var postData = "{\r\n \"accountNumber\": \"2136870751\",\r\n \"amount\": 5000,\r\n \"payeeName\": \"Frank Wright\",\r\n \"payeeAddress\": \"123 Main Street\",\r\n \"payeeCity\": \"New York\",\r\n \"payeeState\": \"NY\",\r\n \"payeeCountry\": \"US\",\r\n \"payeeZip\": \"10001\",\r\n \"memo\": \"Test check print\",\r\n \"postageCode\": \"UspsFirstClass\"\r\n}";
req.write(postData);
req.end();python
import requests
url = "https://sandbox.crbcos.com/checks/v1/printed-payments"
payload = "{\r\n \"accountNumber\": \"2136870751\",\r\n \"amount\": 5000,\r\n \"payeeName\": \"Frank Wright\",\r\n \"payeeAddress\": \"123 Main Street\",\r\n \"payeeCity\": \"New York\",\r\n \"payeeState\": \"NY\",\r\n \"payeeCountry\": \"US\",\r\n \"payeeZip\": \"10001\",\r\n \"memo\": \"Test check print\",\r\n \"postageCode\": \"UspsFirstClass\"\r\n}"
headers = {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "net/http"
url = URI("https://sandbox.crbcos.com/checks/v1/printed-payments")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = "{\r\n \"accountNumber\": \"2136870751\",\r\n \"amount\": 5000,\r\n \"payeeName\": \"Frank Wright\",\r\n \"payeeAddress\": \"123 Main Street\",\r\n \"payeeCity\": \"New York\",\r\n \"payeeState\": \"NY\",\r\n \"payeeCountry\": \"US\",\r\n \"payeeZip\": \"10001\",\r\n \"memo\": \"Test check print\",\r\n \"postageCode\": \"UspsFirstClass\"\r\n}"
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/checks/v1/printed-payments"
method := "POST"
payload := strings.NewReader(`{
"accountNumber": "2136870751",
"amount": 5000,
"payeeName": "Frank Wright",
"payeeAddress": "123 Main Street",
"payeeCity": "New York",
"payeeState": "NY",
"payeeCountry": "US",
"payeeZip": "10001",
"memo": "Test check print",
"postageCode": "UspsFirstClass"
}`)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"id": "2c49c6ec-ad60-41fc-99e8-b49e00f92120",
"fundingAccountNumber": "2136870751",
"status": "Requested",
"reserveAccountNumber": "2532597750",
"amount": 5000,
"checkNumber": 1000,
"payeeName": "Frank Wright",
"payeeAddress": "123 Main Street",
"payeeCity": "New York",
"payeeState": "NY",
"payeeCountry": "US",
"payeeZip": "10001",
"lastModifiedAt": "2026-08-06T11:07:03.1485756-04:00",
"memo": "Test check print",
"postageCode": "UspsFirstClass",
"partnerId": "cd9c12f4-7691-424a-b38b-af5b0134c611"
}400
{
"errors": [
{
"code": 2331,
"message": "Printing Account not found"
}
]
}